## mrd6 0.9.5

=== Makefile ===
all:
	@echo "Multicast Routing daemon/framework for IPv6"
	@echo "  (c) 2004, 2005, 2006"
	@echo "         Universidade de Aveiro,"
	@echo "         Instituto de Telecomunicacoes - Polo Aveiro"

	@$(MAKE) -C src

.PHONY: config

config:
	@config/base.pl

=== src/Makefile ===
CC ?= gcc
CXX ?= g++

PLATFORM ?= OS_LINUX
SUPPORT_MODULES ?= yes
TARGET ?= mrd
PREFIX ?= /usr/local
STATIC_STDCXX ?= no
FULL_STATIC ?= no
NO_INLINE ?= no
NO_INET6_OPTION ?= no

GENERATED_MODULE_LIST ?= no
EXTERNAL_MODULES ?= bgp.so

INCLUDES = -I../include

NOW = $(shell date -u)

CFLAGS += -ansi -Wall -Wno-multichar

MLD_SOURCES = mld/mld_def.cpp mld/mld_router.cpp mld/mld_conf.cpp mld/mld_module.cpp
PIM_SOURCES = pim/pim_def.cpp pim/pim_router.cpp pim/pim_interface.cpp \
	      pim/pim_group.cpp pim/pim_source.cpp pim/pim_oif.cpp \
	      pim/pim_neighbour.cpp pim/pim_conf.cpp pim/pim_bsr.cpp \
	      pim/pim_module.cpp
CONSOLE_SOURCES = console/console.cpp console/telnet_console.cpp \
		  console/unix_console.cpp
BGP_SOURCES = bgp/bgp.cpp bgp/bgp_def.cpp
MSNIP_SOURCES = msnip/msnip_module.cpp
MRDISC_SOURCES = mrdisc/mrdisc_module.cpp
RIPNG_SOURCES = ripng/ripng.cpp

MLD_EXT_SOURCES = mld/mld_def.cpp mld/mld_router.cpp mld/mld_conf.cpp extra/mld_ext.cpp

-include Makefile.options

ifeq ($(FULL_STATIC),yes)
	SUPPORT_MODULES = no
endif

ifeq ($(NO_INET6_OPTION),yes)
	CFLAGS += -DNO_INET6_OPTION
endif

DEST_PREFIX = $(DESTDIR)$(PREFIX)

ifeq ($(OPTIMIZE),yes)
	ifeq ($(SPACE_OPTIMIZE),yes)
		CFLAGS += -O3 -Os
	else
		CFLAGS += -O3
	endif
else
	CFLAGS += -g
	ifeq ($(NO_INLINE),yes)
		CFLAGS += -O0 -fno-inline
	else
		CFLAGS += -O2
	endif
endif

MRD_CXXFLAGS = -fno-rtti -fno-exceptions -fPIC -D$(PLATFORM)

MODULE_OPTIONS_CXXFLAGS = $(addprefix -D,$(MODULE_OPTIONS))

CXXFLAGS = $(INCLUDES) $(CFLAGS) $(MRD_CXXFLAGS) $(MODULE_OPTIONS_CXXFLAGS)

MLD_OBJECTS = $(MLD_SOURCES:.cpp=.o)
PIM_OBJECTS = $(PIM_SOURCES:.cpp=.o)
CONSOLE_OBJECTS = $(CONSOLE_SOURCES:.cpp=.o)
BGP_OBJECTS = $(BGP_SOURCES:.cpp=.o)
MSNIP_OBJECTS = $(MSNIP_SOURCES:.cpp=.o)
MRDISC_OBJECTS = $(MRDISC_SOURCES:.cpp=.o)
RIPNG_OBJECTS = $(RIPNG_SOURCES:.cpp=.o)

MLD_EXT_OBJECTS = $(MLD_EXT_SOURCES:.cpp=.o)

STATIC_MODULES_CPP = modules.cpp

ifeq ($(GENERATED_MODULE_LIST),no)
	CXXFLAGS += -DMRD_STATIC_MLD -DMRD_STATIC_PIM -DMRD_STATIC_CONSOLE
	STATIC_MODULE_SOURCES = $(MLD_SOURCES) $(PIM_SOURCES) $(CONSOLE_SOURCES)
else
	STATIC_MODULES_CPP = modules.generated.cpp
endif

ifeq ($(SUPPORT_MODULES),no)
	CXXFLAGS += -DMRD_NO_DYNAMIC_MODULE_LOADING
endif

ifeq ($(FULL_STATIC),yes)
	LDCMD = -static
else
	ifeq ($(SUPPORT_MODULES),yes)
		LDCMD = -rdynamic
	endif
endif

LDFLAGS += -lm
ifeq ($(PLATFORM),OS_LINUX)
	LDFLAGS += -ldl
endif

ifeq ($(STATIC_STDCXX),no)
	LDFLAGS += -lstdc++
else
	LDFLAGS += `$(CXX) -print-file-name=libstdc++.a`
endif

LINUX_SOURCES = linux/us_mfa.cpp linux/linux_icmp_raw.cpp \
		linux/linux_unicast_route.cpp linux/mrd_components.cpp

BSD_SOURCES = bsd/bsd_rib.cpp bsd/bsd_mfa.cpp bsd/mrd_components.cpp

SOURCES = address.cpp address_set.cpp group.cpp icmp_inet6.cpp icmp.cpp \
	  interface.cpp log.cpp main.cpp mfa.cpp mrd.cpp mrib.cpp node.cpp \
	  parser.cpp rib.cpp router.cpp timers.cpp support/objpool.cpp \
	  $(STATIC_MODULES_CPP)

ifeq ($(PLATFORM),OS_LINUX)
	SOURCES += $(LINUX_SOURCES)
endif

ifeq ($(PLATFORM),OS_BSD)
	SOURCES += $(BSD_SOURCES)
endif

BASE_OBJECTS = $(SOURCES:.cpp=.o)

MRD_SOURCES = $(SOURCES) $(STATIC_MODULE_SOURCES) mrd.version.cpp

MRD_OBJECTS = $(MRD_SOURCES:.cpp=.o)

MODULE_CXX = $(CXX) -shared $(CXXFLAGS)

all: $(TARGET) $(EXTERNAL_MODULES)

$(TARGET): $(OBJECTS) $(MRD_OBJECTS)
	@echo "Linking $(TARGET)"
	@$(CC) $(LDCMD) $(CXXFLAGS) -o $@ $(MRD_OBJECTS) $(LDFLAGS)

install: $(TARGET) $(EXTERNAL_MODULES)
	install -D $(TARGET) $(DEST_PREFIX)/sbin/$(TARGET)
	install -D ../tools/mrd6sh $(DEST_PREFIX)/bin/mrd6sh
	$(foreach MODULE, $(EXTERNAL_MODULES), \
		install -D $(MODULE) $(DEST_PREFIX)/lib/mrd6/$(MODULE))

mrd.version.cpp: $(SOURCES) Makefile
	@echo '/* This file is automatically generated */' > mrd.version.cpp
	@echo 'const char *BuildDate = "$(NOW)";' >> mrd.version.cpp

mld.so: $(MLD_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

pim.so: $(PIM_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

console.so: $(CONSOLE_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

bgp.so: $(BGP_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

msnip.so: $(MSNIP_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

mrdisc.so: $(MRDISC_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

ripng.so: $(RIPNG_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

mld_ext.so: $(MLD_EXT_OBJECTS)
	@echo "Module $@"
	@$(MODULE_CXX) -o $@ $+

OPTIONS = Makefile.options

$(OPTIONS):
	@touch $@

.deps/%.d: %.cpp $(OPTIONS)
	@echo "Deps $<"
	@set -e; mkdir -p $(dir $@); rm -f $@; \
	$(CXX) -MM $(CXXFLAGS) $< > $@.$$$$; \
	echo -n "$@ $(dir $<)" > $@; cat $@.$$$$ >> $@; \
	rm -f $@.$$$$

DEPENDENCIES = $(addprefix .deps/,$(MRD_SOURCES:.cpp=.d))

ifneq ($(MAKECMDGOALS),clean)
	-include $(DEPENDENCIES)
endif

%.o: %.cpp $(OPTIONS)
	@echo "C++ $<"
	@$(CXX) -c $(CXXFLAGS) $< -o $@

clean:
	rm -rf $(TARGET) $(MRD_OBJECTS) \
	$(MLD_OBJECTS) $(PIM_OBJECTS) $(CONSOLE_OBJECTS) \
	$(BGP_OBJECTS) $(MSNIP_OBJECTS) $(MRDISC_OBJECTS) \
	$(RIPNG_OBJECTS)

.PHONY: install clean

=== tools/c/Makefile ===
CFLAGS = -g -O2 -Wall -ansi

PREFIX ?= /usr/local

-include ../../src/Makefile.options

all: mrd6sh

install: mrd6sh
	install -D mrd6sh $(DESTDIR)$(PREFIX)/bin/mrd6sh

clean:
	rm -f mrd6sh

## mrd6 0.9.6

=== Makefile ===
all:
	@$(MAKE) -C src

install:
	@$(MAKE) -C src install

clean:
	@$(MAKE) -C src clean

config:
	@config/base.pl

.PHONY: all config install clean

=== src/Makefile ===
-include Makefile.options

CXX ?= g++

PLATFORM ?= OS_LINUX
SUPPORT_MODULES ?= yes
TARGET ?= mrd
PREFIX ?= /usr/local
STATIC_STDCXX ?= no
FULL_STATIC ?= no
NO_INLINE ?= no
OBJ_DIR ?= build

DEPS_DIR = $(OBJ_DIR)/.deps
MRD_VERSION_CPP = $(OBJ_DIR)/mrd.version.cpp
MODULES_CPP = $(OBJ_DIR)/modules.cpp

STATIC_MODULES ?= MLD PIM CONSOLE

ifeq ($(FULL_STATIC),yes)
	SUPPORT_MODULES = no
	LDCMD = -static
endif

ifeq ($(SUPPORT_MODULES),yes)
	MODULES ?= BGP
	LDCMD = -rdynamic
else
	MODULE_OPTIONS += -DMRD_NO_DYNAMIC_MODULE_LOADING
endif

INCLUDES = -I../include

NOW = $(shell date -u)

SOURCES = address.cpp address_set.cpp group.cpp icmp_inet6.cpp icmp.cpp \
	  interface.cpp log.cpp mfa.cpp mrd.cpp mrib.cpp node.cpp \
	  parser.cpp rib.cpp router.cpp timers.cpp support/objpool.cpp \
	  support/ptree.cpp

ifeq ($(PLATFORM),OS_LINUX)
	SOURCES += linux/us_mfa.cpp linux/linux_icmp_raw.cpp \
		   linux/linux_unicast_route.cpp linux/mrd_components.cpp
	LDFLAGS += -ldl
endif

ifeq ($(PLATFORM),OS_BSD)
	SOURCES += bsd/bsd_rib.cpp bsd/bsd_mfa.cpp bsd/mrd_components.cpp
endif

MLD_SOURCES = mld/mld_def.cpp mld/mld_router.cpp mld/mld_conf.cpp mld/mld_module.cpp
PIM_SOURCES = pim/pim_def.cpp pim/pim_router.cpp pim/pim_interface.cpp \
	      pim/pim_group.cpp pim/pim_source.cpp pim/pim_oif.cpp \
	      pim/pim_neighbour.cpp pim/pim_conf.cpp pim/pim_bsr.cpp \
	      pim/pim_module.cpp
CONSOLE_SOURCES = console/console.cpp console/telnet_console.cpp \
		  console/unix_console.cpp
BGP_SOURCES = bgp/bgp.cpp bgp/bgp_def.cpp
MSNIP_SOURCES = msnip/msnip_module.cpp
MRDISC_SOURCES = mrdisc/mrdisc_module.cpp
RIPNG_SOURCES = ripng/ripng.cpp
ZEBRA_SOURCES = zebra/zebra.cpp
MLD_EXT_SOURCES = mld/mld_def.cpp mld/mld_router.cpp mld/mld_conf.cpp \
		  extra/mld_ext.cpp

TEST_SOURCES = $(SOURCES) no-modules.cpp $(MRD_VERSION_CPP)
MRD_SOURCES = $(SOURCES) main.cpp $(MODULES_CPP) $(MRD_VERSION_CPP)

# used to build object list
ALL_SOURCES = $(SOURCES) main.cpp $(MRD_SOURCES) $(MLD_SOURCES) \
	      $(PIM_SOURCES) $(CONSOLE_SOURCES) $(BGP_SOURCES) \
	      $(MSNIP_SOURCES) $(MRDISC_SOURCES) $(RIPNG_SOURCES) \
	      $(ZEBRA_SOURCES)

# used in dependency generation
BUILT_SOURCES = $(SOURCES) main.cpp

MLD_TARGET	= mld.so
PIM_TARGET	= pim.so
CONSOLE_TARGET	= console.so
BGP_TARGET	= bgp.so
MSNIP_TARGET	= msnip.so
MRDISC_TARGET	= mrdisc.so
RIPNG_TARGET	= ripng.so
ZEBRA_TARGET	= zebra.so
MLD_EXT_TARGET	= mld_ext.so

EXTERNAL_MODULES = $(foreach module,$(MODULES),$($(module)_TARGET))

TESTS = tests/address_unittest tests/ptree_unittest tests/mrib_unittest

DEST_PREFIX = $(DESTDIR)$(PREFIX)

CXXFLAGS = $(INCLUDES) -ansi -Wall -Wno-multichar -fno-exceptions -fPIC \
	   -D$(PLATFORM) $(addprefix -D,$(MODULE_OPTIONS))

ifeq ($(OPTIMIZE),yes)
	ifeq ($(SPACE_OPTIMIZE),yes)
		CXXFLAGS += -O3 -Os
	else
		CXXFLAGS += -O3
	endif
else
	CXXFLAGS += -g
	ifeq ($(NO_INLINE),yes)
		CXXFLAGS += -O0 -fno-inline
	else
		CXXFLAGS += -O2
	endif
endif

LDFLAGS += -lm

ifeq ($(STATIC_STDCXX),no)
	LDFLAGS += -lstdc++
else
	LDFLAGS += `$(CXX) -print-file-name=libstdc++.a`
endif

TEST_OBJECTS = $(addprefix $(OBJ_DIR)/,$(TEST_SOURCES:.cpp=.o))
MRD_OBJECTS = $(addprefix $(OBJ_DIR)/,$(MRD_SOURCES:.cpp=.o))

all: $(TARGET) $(EXTERNAL_MODULES)

define module_template
BUILT_SOURCES += $$($(1)_SOURCES)
$$($(1)_TARGET): $$(addprefix $(OBJ_DIR)/,$($(1)_SOURCES:.cpp=.o))
	@echo "Module $$($(1)_TARGET)"
	@$(CXX) -shared $(CXXFLAGS) -o $$($(1)_TARGET) \
		$$(addprefix $(OBJ_DIR)/,$($(1)_SOURCES:.cpp=.o))
endef

define static_module_template
BUILT_SOURCES += $$($(1)_SOURCES)
MRD_OBJECTS += $$(addprefix $(OBJ_DIR)/,$($(1)_SOURCES:.cpp=.o))
endef

define unittest_template
BUILT_SOURCES += $(1).cpp
$(1): $(TEST_OBJECTS) $(1).cpp
	@echo "Linking $(1)"
	@$(CXX) $(LDCMD) $(CXXFLAGS) -o $(1) $(1).cpp $(TEST_OBJECTS) \
		$(LDFLAGS) -lboost_unit_test_framework
endef

# generate the required build rules for each module
$(foreach module,$(MODULES),$(eval $(call module_template,$(module))))
$(foreach module,$(STATIC_MODULES),$(eval $(call static_module_template,$(module))))
# generate the required build rules for each unit test
$(foreach test,$(TESTS),$(eval $(call unittest_template,$(test))))

$(TARGET): $(MRD_OBJECTS)
	@echo "Linking $(TARGET)"
	@$(CXX) $(LDCMD) $(CXXFLAGS) -o $@ $(MRD_OBJECTS) $(LDFLAGS)

install: $(TARGET) $(EXTERNAL_MODULES)
	install -D $(TARGET) $(DEST_PREFIX)/sbin/$(TARGET)
	install -D ../tools/mrd6sh $(DEST_PREFIX)/bin/mrd6sh
ifneq (,$(EXTERNAL_MODULES))
	mkdir -p $(DEST_PREFIX)/lib/mrd6/
	install -D $(EXTERNAL_MODULES) $(DEST_PREFIX)/lib/mrd6/
endif

$(MRD_VERSION_CPP): $(SOURCES) Makefile Makefile.options
	@set -e; mkdir -p $(dir $@); \
		echo '/* This file is automatically generated */' > $(MRD_VERSION_CPP); \
		echo 'const char *BuildDate = "$(NOW)";' >> $(MRD_VERSION_CPP)

$(MODULES_CPP): Makefile Makefile.options
	@set -e; mkdir -p $(dir $@); \
		echo "Generating modules.cpp"; \
		scripts/generate-modules-cpp.pl $(STATIC_MODULES) > $(MODULES_CPP)

.PHONY: tests
tests: $(TESTS)

OPTIONS = Makefile.options

$(OPTIONS):
	@touch $@

$(DEPS_DIR)/%.d: %.cpp $(OPTIONS)
	@echo "Deps $<"
	@set -e; mkdir -p $(dir $@); \
		$(CXX) -MM -MT $@ -MT $(addprefix $(OBJ_DIR)/,$(<:.cpp=.o)) \
		       $(CXXFLAGS) $< > $@

DEPENDENCIES = $(addprefix $(DEPS_DIR)/,$(BUILT_SOURCES:.cpp=.d))

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
	-include $(DEPENDENCIES)
endif
endif

$(OBJ_DIR)/%.o: %.cpp $(OPTIONS)
	@echo "C++ $<"
	@set -e; mkdir -p $(dir $@); \
		$(CXX) -c $(CXXFLAGS) $< -o $@

clean:
	rm -rf $(TARGET) $(TESTS) $(EXTERNAL_MODULES) \
		$(addprefix $(OBJ_DIR)/,$(ALL_SOURCES:.cpp=.o))

distclean: clean
	rm -rf $(DEPS_DIR) $(MRD_VERSION_CPP) $(MODULES_CPP)

.PHONY: install clean distclean

=== debian/changelog ===
mrd6 (0.9.6-2) unstable; urgency=low

  * New maintainer. (Closes: #572373)
  * Acknowledge NMUs. (Closes: #507211)
  * Make Makefile architecture aware (fix FTBFS on *BSD).
  * Fix FTBFS on Hurd.
  * Support status command in init script.
  * Fix lintian errors and warnings:
    - Add dependency on remote_fs in init script
    - Use invoke-rc.d in init script
    - Add a ${misc:Depends} build dependency.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update Standards-Version to 3.8.4.
  * Bumps debhelper compatibility to 7.
    - Uses a dh based debian/rules.
  * Fix build warnings:
    - Disable strict aliasing as mrd6 violates aliasing rules
    - Avoid unnecessary libgcc dependency thanks to Pierre Habouzit
  * Deactivate watch file as upstream tarballs are no longer reachable.
  * Set Vcs-Browser and Vcs-Git fields.

 -- Thomas Preud'homme <robotux@celest.fr>  Wed, 05 May 2010 22:47:16 +0200

mrd6 (0.9.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * add #include's in src/mrd.cpp and src/bgp/bgp.cpp to fix FTBFS.
    Thanks, James Westby for the patch.
    (Closes: #507211)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 22 Mar 2009 20:13:42 -0400

mrd6 (0.9.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from upstream (r1722) to fix FTBFS on s390. Affects:
    - include/mrd/log.h
    - src/log.cpp

 -- Laurent Bigonville <bigon@debian.org>  Tue, 16 Sep 2008 19:53:14 +0200

mrd6 (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from upstream to fix FBTFS on s390, mips and mipsel. Effects:
    - src/linux/mrd_components.cpp
    - src/mrd.cpp

 -- Lior Kaplan <kaplan@debian.org>  Sat, 09 Feb 2008 13:08:17 +0200

mrd6 (0.9.6-1) unstable; urgency=low

  [ Hugo Santos ]
  * New upstream release (Closes: #462786)
    - Incorporates NMU changes (Closes: #423063, #417436)
  * Now really fix FTBFS with GCC 4.3 (Closes: #455280)

  [ Lior Kaplan ]
  * Bump standards-version to 3.7.3
    - Move homepage to a regular header.
  * Fix debian-changelog-line-too-long lintian warning.
  * Fix debian-rules-ignores-make-clean-error lintain warning.
  * Add a debian version number to differentiate this package from upstream's 
    native package.

 -- Hugo Santos <hugo@fivebits.net>  Thu, 31 Jan 2008 11:51:25 +0200

mrd6 (0.9.5-rev3.dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Repackage upstream tarball to remove non-free IETF RFC/I-D (Closes: #423063)
  * Really fix FTBFS with GCC 4.3 (Closes: #417436)
  * Clean up debian/rules and create debian/{examples,manpages}

 -- Lior Kaplan <kaplan@debian.org>  Sat, 09 Jun 2007 00:57:01 +0300

mrd6 (0.9.5-rev3-0.1) unstable; urgency=low

  * Non-maintainer upload. (Closes: #418074)
  * New maintainer. (Closes: #418084)
    - Adopt this package by its upstream, which works on it very tightly with 
      Debian. Thank you Hugo for covering for an MIA maintainer.
  * New upstream release
    - Fix segfault when unloading module (Closes: #394590)
    - Fix FTBFS with GCC 4.3 (Closes: #417436)
    - New upstream address (Closes: #411805)
    - Change the package's version number inside debian, so it will be more
      accurate and easy to maintain with future (debian & upstream) versions.
  * debian/control:
    - Bump standards version to 3.7.2.2 (no changes needed)
    - Remove extra build depends, as they are covered by build-essential.
    - Update package description according to the README file.
    - Change maintainer to Hugo Santos.
  * Add watch file.

 -- Lior Kaplan <kaplan@debian.org>  Mon, 09 Apr 2007 20:28:32 +0300

mrd6 (0.9.5-release-1) unstable; urgency=low

  * New upstream release
  * Hack the version number so we can upgrade properly
  * New features:
        - update to draft 06
        - implements MSNIP and MRDISC
        - improved user-space forwarding on Linux

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  8 Jan 2006 12:28:48 +1100

mrd6 (0.9.5-pre2-1) unstable; urgency=low

  * New upstream (pre)release

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 28 Nov 2005 15:41:11 +1100

mrd6 (0.9.5-pre1-1) unstable; urgency=low

  * Initial upload to Debian

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 15 Nov 2005 11:05:57 +1100

mrd6 (0.9.4-beta2-1) unstable; urgency=low

  * beta2

 -- Hugo Santos <hsantos@av.it.pt>  Mon, 17 Oct 2005 22:57:45 +0100

mrd6 (0.9.4-beta1-1) unstable; urgency=low

  * Bumped to 0.9.4-beta1

 -- Hugo Santos <hsantos@av.it.pt>  Wed, 28 Sep 2005 01:11:03 +0100

mrd6 (0.9.2-beta3-1) unstable; urgency=low

  * beta3

 -- Hugo Santos <hsantos@av.it.pt>  Tue, 23 Aug 2005 23:36:40 +0100

mrd6 (0.9.2-beta2-1) unstable; urgency=low

  * beta2

 -- Hugo Santos <hsantos@av.it.pt>  Thu, 18 Aug 2005 00:09:07 +0100

mrd6 (0.9.2-beta1-1) unstable; urgency=low

  * Bumped to 0.9.2.

 -- Hugo Santos <hsantos@av.it.pt>  Fri, 12 Aug 2005 00:30:29 +0100

mrd6 (0.9.1-beta2-1) unstable; urgency=low

  * Version bump

 -- Hugo Santos <hsantos@av.it.pt>  Mon, 25 Jul 2005 00:32:34 +0100

mrd6 (0.9.1-beta1-1) unstable; urgency=low

  * Version bump

 -- Hugo Santos <hsantos@av.it.pt>  Thu,  7 Jul 2005 02:34:26 +0100

mrd6 (0.9-beta2) unstable; urgency=low

  * Beta 2

 -- Hugo Santos <hsantos@av.it.pt>  Thu, 30 Jun 2005 06:19:51 +0100

mrd6 (0.9-beta1) unstable; urgency=low

  * Bump to 0.9

 -- Hugo Santos <hsantos@av.it.pt>  Sat, 25 Jun 2005 20:07:24 +0100

mrd6 (0.8.5-beta1-1) unstable; urgency=low

  * Bumped to 0.8.5

 -- Hugo Santos <hsantos@av.it.pt>  Sat, 30 Apr 2005 21:55:09 +0100

mrd6 (0.8-beta2-1) unstable; urgency=low

  * Yet another bump. 0.8-beta2

 -- Hugo Santos <hsantos@av.it.pt>  Sat, 23 Apr 2005 03:06:53 +0100

mrd6 (0.8-beta1-1) unstable; urgency=low

  * Bumped version to 0.8-beta1

 -- Hugo Santos <hsantos@av.it.pt>  Tue, 19 Apr 2005 23:34:04 +0100

mrd6 (0.7-beta3-1) unstable; urgency=low

  * Bumped version to 0.7-beta3

 -- Hugo Santos <hsantos@av.it.pt>  Tue,  5 Apr 2005 02:08:32 +0100



=== debian/control ===
Source: mrd6
Section: net
Priority: optional
Maintainer: Thomas Preud'homme <robotux@celest.fr>
Build-Depends: debhelper (>= 7.0.50), perl
Standards-Version: 3.8.4
Homepage: http://fivebits.net/proj/mrd6/
Vcs-Browser: http://git.debian.org/?p=collab-maint/mrd6.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/mrd6.git

Package: mrd6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: IPv6 Multicast Routing Daemon
 mrd6 is a modular IPv6 Multicast Routing Daemon which implements:
   * MLDv1 and MLDv2 support
     - MLD proxying
   * PIM-SM (ASM and SSM)
     - Bootstrap (BSR) Mechanism support
     - Static RP configuration
     - Embedded-RP support (RFC 3956)
   * partial MBGP support
     - Implements basic BGP4 mechanisms (IPv6 Multicast SAFI)
       to update local MRIB from MBGP info
     - Uses IPv6 Multicast SAFI prefixes announced by
       peers to update local MRIB
     - Is able to announce local prefixes
     - Filter support
   * Supports both native and virtual (tunnel) interfaces
     (tested IPv6-IPv4, IPv6-IPv6 and TUN/TAP tunnels)
   * Abstract Forwarding Interface (MFA) with user-space module
   * Remote configuration and online administration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr
export TARGET=mrd6

DH_OVERRIDEN := dh_installcatalogs dh_installcron dh_installdebconf \
		dh_installemacsen dh_installifupdown dh_installinfo \
		dh_installmenu dh_installmime dh_installmodules \
		dh_installlogcheck dh_installlogrotate dh_installpam \
		dh_installppp dh_installudev dh_installwm \
		dh_installxfonts dh_lintian dh_gconf dh_icons dh_perl

ifneq ($(shell which dh_bugfiles),)
DH_OVERRIDEN := $(DH_OVERRIDEN) dh_bugfiles
endif

ifneq ($(shell which dh_pysupport),)
DH_OVERRIDEN := $(DH_OVERRIDEN) dh_pysupport
endif

RULE_OVERRIDE := $(patsubst %,override_%,$(DH_OVERRIDEN))

$(RULE_OVERRIDE):

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix /usr \
		--static mld \
		--static pim \
		--static console \
		--external bgp \
		--external msnip \
		--external mrdisc

everride_dh_auto_clean:
	dh_auto_clean
	rm -rf src/build/
	rm -f src/Makefile.options

build:
	dh build
	touch build

%:
	dh $@

=== debian/watch ===
version=3
# Using example fron the uscan man page:
# This is a variant HTTP format which allows direct specification of
# the homepage:
# Homepage  Pattern  [Version  [Action]]
#http://fivebits.net/proj/mrd6 /files/mrd6/mrd6-([\d\.-]*).tar.gz
# This line no longer works as upstream tarballs are no longer available.
# All links starting with fivebits.net/proj/mrd6 lead to the trac system
